> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get character



## OpenAPI

````yaml api-reference/openapi.json get /characters/{character_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /characters/{character_id}:
    get:
      tags:
        - Character
      summary: Get character
      operationId: getCharacter
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Character details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Character'
        '404':
          description: Character not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    Character:
      type: object
      properties:
        character_id:
          type: string
        organization_id:
          type: string
        creator_id:
          type: string
        name:
          type: string
        description:
          type: string
        status:
          type: string
        current_step:
          type: integer
        face_images_count:
          type: integer
        body_images_count:
          type: integer
        dataset_status:
          type: string
        face_lora_status:
          type: string
        body_lora_status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        subscription_id:
          type:
            - string
            - 'null'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Short error identifier.
        message:
          type: string
          description: Human readable error description.
        character_id:
          type: string
          description: Character that triggered the error, when relevant.
        group_id:
          type: string
          description: Group that triggered the error, when relevant.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````